//+------------------------------------------------------------------+
//|                                                    Indi_RAVI.mq4 |
//|                                                              CJS |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "CJS"
#property link      ""

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Blue
#property indicator_color2 Green
#property indicator_color3 Green

//--- input parameters

extern int       SMAFast=7;
extern int       SMASlow=65;
extern double    LowerLineLevel=0.3;
extern double    UpperLineLevel=1.0;

//--- buffers

double IndicadorRavi[];
double UpperLine[];
double LowerLine[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,IndicadorRavi);
   SetIndexLabel(0,"Ravi");
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,UpperLine);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,LowerLine);
//----
   return(0);
  }

int start()
  {
  
   if (Bars<=SMASlow) return(0);
  
   int   counted_bars=IndicatorCounted();
   
   if (counted_bars>0) counted_bars--;
   
   int CalculateBars = Bars - counted_bars;
   
   for(int Count = CalculateBars; Count >= 0; Count--)
      {
      
      LowerLine[Count]=LowerLineLevel;
      UpperLine[Count]=UpperLineLevel;
      IndicadorRavi[Count]=MathAbs(100*(iMA(NULL,0,SMAFast,0,0,0,Count)-iMA(NULL,0,SMASlow,0,0,0,Count))/iMA(NULL,0,SMASlow,0,0,0,Count));
   
      }
   return(0);
  }
//+------------------------------------------------------------------+